%define cvsdate 20100719
Name:		FlightGear-Atlas
Summary:	Flightgear map tools
Version:	0.4.8
Release:	0.2.cvs%{cvsdate}%{?dist}

License:	GPLv2+
Group:		Amusements/Games
Source0:	Atlas-cvs%{cvsdate}.tar.gz
Source1:	Atlas-0.4.0-default-maps.tar.gz
Patch0:		FlightGear-Atlas-0.4.0-fix-graph-axis-formatting.patch
Patch1:		FlightGear-Atlas-0.4.8-fix-segv.patch
URL:		http://atlas.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	freeglut-devel, curl-devel, libpng-devel
BuildRequires:	SimGear-devel >= 1.9.0, OpenSceneGraph-devel
BuildRequires:	automake autoconf intltool libtool
Requires:	FlightGear-data
Obsoletes:	fgfs-Atlas < 0.3.1-10

%description
Atlas aims to produce and display high quality charts of the world for
users of FlightGear, an open source flight simulator. This is achieved
through two main parts: The map creator (simply called Map) and the
Atlas viewer

%prep
%setup -q -n Atlas
%patch0 -p1 -b .axis
%patch1 -p1 -b .segv
find -type f -name '*.[hc]xx' -exec chmod a-x {} \;

%build
./autogen.sh
%configure CXXFLAGS="$RPM_OPT_FLAGS -fPIC" \
	--with-fgbase=%{_datadir}/FlightGear
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/FlightGear
tar zxf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/FlightGear

# the palette file must be installed
install -d $RPM_BUILD_ROOT%{_datadir}/FlightGear/Atlas/Palettes
install -d $RPM_BUILD_ROOT%{_datadir}/FlightGear/Atlas/Fonts

install -m 0644 src/data/Fonts/*.txf \
	$RPM_BUILD_ROOT%{_datadir}/FlightGear/Atlas/Fonts
install -m 0644 src/data/Palettes/*.ap \
	$RPM_BUILD_ROOT%{_datadir}/FlightGear/Atlas/Palettes
install -m 0644 src/data/background.jpg \
	$RPM_BUILD_ROOT%{_datadir}/FlightGear/Atlas
install -m 0644 src/data/airplane_image.png \
	$RPM_BUILD_ROOT%{_datadir}/FlightGear/Atlas

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/FlightGear/Atlas

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-0.2.cvs20100719
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Fabrice Bellet <fabrice@bellet.info> 0.4.8-0.1.cvs20100719
- new cvs snapshot
- fix some segmentation faults

* Thu Mar 11 2010 Fabrice Bellet <fabrice@bellet.info> 0.4.0-0.5.cvs20100226
- Fix graph axis formatting bug, by avoiding negative values in the
  format string

* Sat Feb 27 2010 Fabrice Bellet <fabrice@bellet.info> 0.4.0-0.4.cvs20100226
- Rebuild with missing librt library

* Fri Feb 26 2010 Fabrice Bellet <fabrice@bellet.info> 0.4.0-0.3.cvs20100226
- Prepare for release 0.4.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Fabrice Bellet <fabrice@bellet.info> 0.3.1-11
- rebuild with newer SimGear

* Tue Jan 06 2009 Fabrice Bellet <fabrice@bellet.info> 0.3.1-10
- new build fixes for newer SimGear

* Tue May 13 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-9
- rebuild with newer plib

* Mon Feb  4 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-8
- fix gcc43 build

* Mon Jan  7 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-7
- rebuild with newer SimGear

* Sun Sep 23 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-6
- update License tag

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.3.1-5
- Rebuild for selinux ppc32 issue.

* Wed Jun 27 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-4
- Rebuild with newer version of SimGear
- Add the missing Palette file to the package
- Remove the buildmaps.sh script (the functionnality provided
  by this script is now part of the Atlas program)

* Mon Apr  2 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-3
- Fixed duplicate BuildRequires

* Sun Apr  1 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-2
- Rebuild with new SimGear

* Tue Mar 20 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-1
- Initial packaging
